### Virtual Method

# Foundry Vcs list_commits_with_file

#### Declaration [src]

    DexFuture*
    list_commits_with_file (
      FoundryVcs* self,
      FoundryVcsFile* file
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `FoundryVcsFile`

  A `FoundryVcsFile`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryVcsCommit`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.